<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Real Estate</title>
    <link rel="stylesheet" href="build/css/app.css">
</head>
<body>

    <header class="header">
        <div class="container header-container">
            <div class="bar">
                <a href="index.html">
                    <picture class="header-picture">
                        <source srcset="build/img/logo.avif" type="image/avif">
                        <source srcset="build/img/logo.webp" type="image/webp">
                        <source srcset="build/img/logo.svg" type="image/svg+xml">
                        <img loading="lazy" width="300" height="49.38" src="src/img/logo.png" alt="real estate logo"> 
                    </picture>
                </a>

                <div class="mobile-menu">
                    <img src="build/img/bars.svg" alt="responsive menu icon">
                </div>

                <div class="place-right">
                    <img class="dark-mode-button" src="build/img/dark-mode.svg" alt="dark mode icon">
                    <nav class="nav-area">
                        <a href="aboutus.html">About Us</a>
                        <a href="ads.html">Advertisements</a>
                        <a href="blog.html">Blog</a>
                        <a href="contact.html">Contact Us</a>
                    </nav>
                </div> 
            </div><!-- .bar -->
        </div>
    </header>

    <main class="container section">
        <h1>Contact</h1>

        <picture>
            <source srcset="build/img/featured2.webp" type="image/webp">
            <source srcset="build/img/featured2.jpg" type="image/jpeg">
            <img loading="lazy" src="build/img/featured2.jpg" alt="Contact Image">
        </picture>

        <h2>Fill in the form in order to contact us!</h2>

        <form class="my-form">
            <fieldset>
                <legend>Personal Information</legend>
                
                <label for="name">Name</label>
                <input type="text" placeholder="Your Name" name="" id="name">
                
                <label for="email">E-Mail</label>
                <input type="email" placeholder="Your Name" name="" id="email">
                
                <label for="phone">Phone Number</label>
                <input type="tel" placeholder="Your Name" name="" id="phone">

                <label for="message">Message</label>
                <textarea placeholder="Your Message" id="message"></textarea>
            </fieldset>

            <fieldset>
                <legend>Property Related Information</legend>
                
                <label for="options">Buy/Sell</label>
                <select name="" id="options">
                    <option value="" disabled selected>Select</option>
                    <option value="Buy">Buy</option>    <!-- value="" is sent to the server -->
                    <option value="Sell">Sell</option>
                </select>
                
                <label for="price">Price or Budget</label>
                <input type="email" placeholder="Your Price or Budget" name="" id="price">
            </fieldset>

            <fieldset>
                <legend>Contact Information</legend>

                <p>How do you wish to be contacted?</p>
                
                <div class="contact-option">
                    <label for="phone-contact">Phone</label>
                    <input name="contact" type="radio" value="phone" id="phone-contact">
                    <label for="email-contact">E-Mail</label>
                    <input name="contact" type="radio" value="email" id="email-contact">
                </div>

                <p>For phone calls, select date and time</p>

                <label for="my-date">Date</label>
                <input type="date" id="my-date">
                
                <label for="my-time">Time</label>
                <input type="time" id="my-time" min="09:00" max="18:00">
            </fieldset>

            <input class="green-button " type="submit" value="Submit" id="">
        </form>

    </main>

    <footer class="footer section">
        <div class="container footer-content">
            <nav class="nav-area">
                <a href="aboutus.html">About Us</a>
                <a href="ads.html">Advertisements</a>
                <a href="blog.html">Blog</a>
                <a href="contact.html">Contact Us</a>
            </nav>
        </div>

        <p class="copyright">All rights reserved 2024 &copy;</p>
    </footer>

    <script src="build/js/bundle.min.js"></script>
</body>
</html>